org.gnome.gtk

## Class RadioAction

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Action
        - - org.gnome.gtk.ToggleAction
          - - org.gnome.gtk.RadioAction

-     public class RadioAction
      extends ToggleAction

  A `RadioAction` is an equivalent of a `Action` but used in general to create `RadioMenuItem`. It has an "active" state which indicates whether the action has been checked or not.
  Since:
    4.0.15
  Author:
    Guillaume Mazoyer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.ToggleAction

      `ToggleAction.Toggled`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Action

      `Action.Activate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadioAction(RadioGroup group, String name, Stock stock)` Create a new RadioAction from a Stock item.
    `RadioAction(RadioGroup group, String name, Stock stock, ToggleAction.Toggled handler)` Create a new RadioAction based on a Stock item, and connect a handler to its `RadioAction.Toggled` signal.
    `RadioAction(RadioGroup group, String name, String label)` Create a new RadioAction.
    `RadioAction(RadioGroup group, String name, String label, String tooltip, Stock stock)` Create a new RadioAction, and connect a handler to its `RadioAction.Toggled` signal.
    `RadioAction(RadioGroup group, String name, String label, ToggleAction.Toggled handler)` Create a new RadioAction, and connect a handler to its `RadioAction.Toggled` signal.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RadioGroup` | `getGroup()` Get the RadioActionGroup that encloses this RadioAction and the others that belonging to the same mutual exclusion group.

    - ### Methods inherited from class org.gnome.gtk.ToggleAction

      `connect, emitToggled, getActive, getDrawAsRadio, setActive, setDrawAsRadio`

    - ### Methods inherited from class org.gnome.gtk.Action

      `connect, createMenuItem, createToolItem, emitActivate, getSensitive, getTooltip, getVisible, isSensitive, isVisible, setAccelerator, setSensitive, setTooltip, setVisible`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadioAction

          public RadioAction(RadioGroup group,
                     String name,
                     Stock stock)

      Create a new RadioAction from a Stock item. The message and tooltip will be supplied by GTK automatically.
      Since:
        4.0.15

    - #### RadioAction

          public RadioAction(RadioGroup group,
                     String name,
                     Stock stock,
                     ToggleAction.Toggled handler)

      Create a new RadioAction based on a Stock item, and connect a handler to its `RadioAction.Toggled` signal. Complements the `<init>(RadioGroup, String, Stock)` constructor.
      Since:
        4.0.15

    - #### RadioAction

          public RadioAction(RadioGroup group,
                     String name,
                     String label)

      Create a new RadioAction.
      Parameters:
        `name` - A unique name for the RadioAction.
        `label` - The text that will be displayed in the proxy Widgets. You usually will want to localize it to the user language.
      Since:
        4.0.15

    - #### RadioAction

          public RadioAction(RadioGroup group,
                     String name,
                     String label,
                     String tooltip,
                     Stock stock)

      Create a new RadioAction, and connect a handler to its `RadioAction.Toggled` signal.
      Parameters:
        `name` - A unique name for the RadioAction.
        `label` - The text that will be displayed in the proxy Widgets. You usually will want to localize it to the user language.
        `tooltip` - A Tooltip or little help message for the RadioAction. Also localized.
        `stock` - The stock icon to display in proxy Widgets.
      Since:
        4.0.15

    - #### RadioAction

          public RadioAction(RadioGroup group,
                     String name,
                     String label,
                     ToggleAction.Toggled handler)

      Create a new RadioAction, and connect a handler to its `RadioAction.Toggled` signal.
      Parameters:
        `name` - A unique name for the RadioAction.
        `label` - The label that will be displayed in the proxy Widgets. You usually will want to localize it to the user language.
        `handler` - A handler to connect to the `RadioAction.Toggled` signal. Usually will will start from here the operation related to the Action.
      Since:
        4.0.15

  - ### Method Detail

    - #### getGroup

          public RadioGroup getGroup()

      Get the RadioActionGroup that encloses this RadioAction and the others that belonging to the same mutual exclusion group.
      Since:
        4.0.15